import 'package:fc_components/fc_navigation_bar.dart';
import 'package:flutter/material.dart';

class NavigationBar extends StatefulWidget {
  const NavigationBar({Key? key}) : super(key: key);

  @override
  _NavigationBarState createState() => _NavigationBarState();
}

class _NavigationBarState extends State<NavigationBar> {
  int currentItem = 0;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('FcNavigationBar 底部导航'),
      ),
      bottomNavigationBar: FcNavigationBar(
        selectedItemColor: const Color(0xFFD4052D),
        unselectedItemColor: const Color(0xFF333333),
        currentIndex: currentItem,
        items: const [
          FcNavigationBarItem(label: '首页', icon: Icon(Icons.home)),
          FcNavigationBarItem(label: '首页', icon: Icon(Icons.book)),
          FcNavigationBarItem(label: '首页', icon: Icon(Icons.perm_identity)),
        ],
        onTap: (index) {
          setState(() {
            currentItem = index;
          });
        },
      ),
    );
  }
}
