import 'package:fc_components/fc_sort_button.dart';
import 'package:fc_components/util/adapt.dart';
import 'package:flutter/material.dart';

class SortButton extends StatefulWidget {
  const SortButton({Key? key}) : super(key: key);

  @override
  _SortButtonState createState() => _SortButtonState();
}

class _SortButtonState extends State<SortButton> {
  String cacheSizeStr = '';
  bool canCheckBiometrics = false;
  bool localauthBind = false;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('FcSortButton 排序按钮'),
      ),
      body: ListView(
        children: [
          /// 完整示例
          Padding(
            padding: EdgeInsets.all(Adapt.px(20)),
            child: const Text('完整示例'),
          ),
          Row(
            children: [
              const SizedBox(width: 10),
              FcSortButton(
                text: '正序',
                highlight: true,
                order: FcSortOrder.asc,
                onPressed: (order) {},
              ),
              const SizedBox(width: 10),
              FcSortButton(
                text: '倒序',
                highlight: true,
                order: FcSortOrder.desc,
                onPressed: (order) {},
              ),
            ],
          ),

          /// 单一排序
          Padding(
            padding: EdgeInsets.all(Adapt.px(20)),
            child: const Text('单一排序'),
          ),
          Row(
            children: [
              const SizedBox(width: 10),
              FcSortButton(
                text: '排序',
                highlight: true,
                hasSort: false,
                onPressed: (order) {},
              ),
              const SizedBox(width: 10),
              FcSortButton(
                text: '不排序',
                highlight: false,
                hasSort: false,
                onPressed: (order) {},
              ),
            ],
          ),
        ],
      ),
    );
  }
}
