import 'package:fc_components/util/adapt.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class FcEmpty extends StatelessWidget {
  const FcEmpty({
    Key? key,
    this.icon,
    this.title,
    this.content,
    this.padding = EdgeInsets.zero,
  }) : super(key: key);

  /// 图标
  final Widget? icon;

  /// 标题
  final String? title;

  /// 二级内容
  final String? content;

  /// 内边距
  final EdgeInsetsGeometry padding;

  /// 图标 - 计算属性
  Widget get emptyIcon {
    if (icon != null) {
      return icon!;
    }

    return Image.asset(
      'images/empty_default.png',
      package: "fc_components",
      width: Adapt.px(148),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: padding,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          emptyIcon,
          title != null
              ? Text(
                  title!,
                  style: TextStyle(
                    color: const Color(0xFF333333),
                    fontSize: Adapt.px(30),
                    fontWeight: FontWeight.w400,
                    height: 1.4,
                  ),
                )
              : Container(),
          content != null
              ? Padding(
                  padding: EdgeInsets.only(top: Adapt.px(8)),
                  child: Text(
                    content!,
                    style: TextStyle(
                      color: const Color(0xFF999999),
                      fontSize: Adapt.px(25),
                      fontWeight: FontWeight.w400,
                      height: 1.4,
                    ),
                  ),
                )
              : Container()
        ],
      ),
    );
  }
}
