import 'dart:ui';

import 'package:flutter/material.dart';

/// 画布尺寸计算
class Adapt {
  static MediaQueryData mediaQuery = MediaQueryData.fromWindow(window);
  static int canvasWidth = 750; // 画布宽度
  static final double _width = mediaQuery.size.width;
  static final double _height = mediaQuery.size.height;
  static final double _topbarH = mediaQuery.padding.top;
  static final double _botbarH = mediaQuery.padding.bottom;
  static final double _pixelRatio = mediaQuery.devicePixelRatio;
  static double _ratio = 0;
  static init(int? number) {
    int uiwidth = number ?? canvasWidth;
    _ratio = _width / uiwidth;
  }

  /// px转实际尺寸
  ///
  /// [number] 需要转换的像素值
  static px(number) {
    if (_ratio == 0) {
      Adapt.init(canvasWidth);
    }
    return number * _ratio;
  }

  /// 获取1px对应的实际尺寸
  static onepx() {
    return 1 / _pixelRatio;
  }

  /// 屏幕宽度
  static screenW() {
    return _width;
  }

  /// 屏幕高度
  static screenH() {
    return _height;
  }

  /// 顶部被系统遮挡的高度（刘海屏或系统状态栏）
  static padTopH() {
    return _topbarH;
  }

  /// 底部被系统遮挡的高度（刘海屏或系统状态栏）
  static padBotH() {
    return _botbarH;
  }

  static final double margin = px(25);
}
